/*
 * Created on 1.12.2003
 *
 */
package seco.semcocoon.transformation;

import java.io.IOException;
import java.io.InputStream;

import org.apache.avalon.framework.component.Component;
import org.apache.avalon.framework.service.ServiceException;
import org.apache.cocoon.transformation.ServiceableTransformer;
import org.apache.excalibur.xml.sax.SAXParser;
import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

/**
 * @author jiemakel
 *
 */
public class NullTransformer extends ServiceableTransformer {

    public void startPrefixMapping(String prefix, String uri)
    throws SAXException {
    }

    public void endPrefixMapping(String prefix)
    throws SAXException {
    }

	public void startDocument() throws SAXException {
	}
	
	public void endDocument() throws SAXException {
	}

    public void startElement(String uri, String loc, String raw, Attributes a) throws SAXException {
    }

    public void endElement(String uri, String loc, String raw)
    throws SAXException {
    }

    public void characters(char c[], int start, int len)
    throws SAXException {
    }

    public void ignorableWhitespace(char c[], int start, int len)
    throws SAXException {
    }

    public void processingInstruction(String target, String data)
    throws SAXException {
    }

    public void skippedEntity(String name)
    throws SAXException {
    }

    public void startDTD(String name, String publicId, String systemId)
    throws SAXException {
    }

    public void endDTD()
    throws SAXException {
    }

    public void startEntity(String name)
    throws SAXException {
    }

    public void endEntity(String name)
    throws SAXException {
    }

    public void startCDATA()
    throws SAXException {
    }

    public void endCDATA()
    throws SAXException {
    }

    public void comment(char ch[], int start, int len)
    throws SAXException {
    }

    public void parse(InputStream serializedXML) throws SAXException {
        SAXParser parser = null;
            try {
                parser = (SAXParser) manager.lookup( SAXParser.ROLE);
            } catch (ServiceException e) {
                System.out.println("ServiceException getting SAXParser: "+e.getMessage());
            }
			
            try {
/*				int t=serializedXML.read();
				while (t!=-1) {
					System.out.write(t);
					t=serializedXML.read();
				} */
                parser.parse(new InputSource(serializedXML), contentHandler, null); 
            } catch (IOException e) {
                System.out.println("IOException parsing: "+e.getMessage());
            } catch (SAXException e) {
                System.out.println("SAXException parsing: "+e.getMessage());
            }
            manager.release( (Component)parser );
    }
}
